Friday Aug 21, 2015

The Solaris Cluster 4.2 SRU5.1 is available with dependency to Solaris 11.2 SRU 13.6

Since some days the Solaris Cluster 4.2 SRU5.1 is available. A full list of all available SC4.2 SRUs can be found at:

  • Solaris Cluster 4.2 Support Repository Updates (SRU) Index (Doc ID 1922519.1)
  • Also Solaris 11.2 SRU13.6 released on the same day:
    - Oracle Solaris 11.2.13.6.0 Support Repository Update (Oracle Solaris 11.2 SRU 13.6.0) Readme (Doc ID 2044330.1)
    - Oracle Solaris 11.2 Support Repository Updates (SRU) Index (Doc ID 1672221.1)

    The difference in SC4.2 SRU5.1 is a hard dependency to Solaris 11.2 SRU13.6. The ‘Note 1’ in the readme of

  • Oracle Solaris Cluster 4.2.5.1.0 Support Repository Updates (SRU 5.1) Readme (Doc ID 2044378.1)
  • describe this as:

    Note 1: Dependency between Oracle Solaris 11.2.13 and Oracle Solaris Cluster 4.2.5

    Due to bug fixes in Oracle Solaris (20562191) and Oracle Solaris Cluster (20735909), there is a dependency between Oracle Solaris 11.2.13 and Oracle Solaris Cluster 4.2.5. This dependency requires you to upgrade to Oracle Solaris 11.2.13 and Oracle Solaris Cluster 4.2.5 at the same time. Failure to update both Oracle Solaris and Oracle Solaris Cluster may cause many pkg errors including:

    Reject: pkg://solaris/storage/svm@ 0.5.11-0.175.2.13.0.2.2
                 Reason: No version for 'optional' dependency on ha-cluster/storage/svm-mediator@ 4.2,5.11-5 can be found

    It is also possible that scinstall -u upgrade will fail with the message:

        The pkg update command failed with exit code 4.
        The scinstall.upgrade.log file will contain the messages:
        No updates available for this image.
        failed

    To install Oracle Solaris 11.2.13 and Oracle Solaris Cluster 4.2.5 at the same time, you must update both your Oracle Solaris and Oracle Solaris Cluster package repositories and then install both SRUs by using pkg update or scinstall -u update.

    To use the pkg update method, see Updating Your Software in Oracle Solaris Cluster System Administration Guide.

    To use the scinstall -u update method, see Oracle Solaris Cluster Upgrade Guide.

    As written in the readme the update to Solaris Cluster 4.2 SRU5.1 and Solaris 11.2 SRU13.6 must be done at the same time. This also valid for a new installation to those releases.

    In addition to this if trying to update only Solaris 11.2 to SRU13.6 when Solaris Cluster publisher with SRU5.1 is not available it will fail with:

    # pkg update --accept --be-name=s11.2SRU136 entire@ 0.5.11,5.11-0.175.2.13.0.6
    Creating Plan (Running solver): \
    pkg update: No matching version of entire can be installed:
       Reject: pkg://solaris/entire@ 0.5.11-0.175.2.13.0.6.0
       Reason: No version matching 'require' dependency consolidation/X/X-incorporation can be installed
       Reason: No version matching 'require' dependency consolidation/osnet/osnet-incorporation can be installed

    Or the other way around, if trying to update to SC4.2 SRU5.1 when Solaris publisher with SRU13.6 is not available it will fail with:

    # pkg update --accept --be-name=sc42SRU51 ha-cluster-incorporation@ 4.2,5.11-5.1.0
    Creating Plan (Solver setup):
    pkg update: No matching version of ha-cluster/group-package/ha-cluster-incorporation can be installed:
       Reject: pkg://ha-cluster/ha-cluster/group-package/ha-cluster-incorporation@ 4.2-5.1.0
       Reason: No version matching 'incorporate' dependency ha-cluster/data-service/mysql@ 4.2,5.11-5.1.0 can be installed
         ----------------------------------------
         Reject: pkg://ha-cluster/ha-cluster/data-service/mysql@ 4.2-5.1.0
         Reason: No version matching 'require' dependency ha-cluster/group-package/ha-cluster-framework-minimal can be installed
         ----------------------------------------
           Reject: pkg://ha-cluster/ha-cluster/group-package/ha-cluster-framework-minimal@ 4.2-0.30.0
           Reason: No version matching 'require' dependency ha-cluster/storage/svm-mediator can be installed
             ----------------------------------------
             Reject: pkg://ha-cluster/ha-cluster/storage/svm-mediator@ 4.2-0.30.0
                         pkg://ha-cluster/ha-cluster/storage/svm-mediator@ 4.2-4.2.0
             Reason: Excluded by proposed incorporation 'ha-cluster/group-package/ha-cluster-incorporation'
             Reject: pkg://ha-cluster/ha-cluster/storage/svm-mediator@ 4.2-5.1.0
             Reason: No version for 'require' dependency on storage/svm@ 0.5.11,5.11-0.175.2.13 can be found
             ----------------------------------------
           ----------------------------------------
         Reason: No version matching 'require' dependency ha-cluster/group-package/ha-cluster-incorporation can be installed
         ----------------------------------------
       Reason: No version matching 'incorporate' dependency ha-cluster/data-service/nfs@ 4.2,5.11-0.30.1 can be installed
         ----------------------------------------
         Reject: pkg://ha-cluster/ha-cluster/data-service/nfs@ 4.2-0.30.1
         Reason: No version matching 'require' dependency ha-cluster/group-package/ha-cluster-incorporation can be installed
         ----------------------------------------


    What will happen if running ‘pkg update’ without any option and one of the necessary publisher is missing?
    A) If only Solaris publisher is available which provide Solaris 11.2 SRU13.6, it will update the system until one previous Solaris 11.2 SRU which is SRU12.7
    B) If only Solaris Cluster publisher is available which provide Solaris Cluster 4.2 SRU5.1, it will update the system until Solaris Cluster 4.2 SRU4.1.

    So, in summary if running Solaris Cluster 4.2
    - the update to SC4.2 SRU5.1 is only possible when also Solaris 11.2 SRU13.6 is available.
    - the update to Solaris 11.2 SRU13.6 is only possible when also Solaris Cluster 4.2 SRU5.1 is available.



    And last but not least, if trying to install Solaris Cluster 4.2 lower than SRU5.1 on Solaris 11.2 SRU13.6 it will fail with:
    # pkg install ha-cluster-framework-full
    Creating Plan (Running solver):
    pkg install: No solution was found to satisfy constraints

    maintained incorporations:
       pkg://solaris/consolidation/SunVTS/SunVTS-incorporation@ 7.19.2-0.175.2.9.0.3.1
       pkg://solaris/consolidation/X/X-incorporation@ 0.5.11-0.175.2.11.0.2.1436
       pkg://solaris/consolidation/admin/admin-incorporation@ 0.5.11-0.175.1.0.0.5.0
       pkg://solaris/consolidation/cacao/cacao-incorporation@ 0.5.11-0.175.2.0.0.38.0
       pkg://solaris/consolidation/cde/cde-incorporation@ 0.5.11-0.175.2.0.0.23.0
       pkg://solaris/consolidation/cns/cns-incorporation@ 0.5.11-0.175.2.12.0.2.0
       pkg://solaris/consolidation/dbtg/dbtg-incorporation@ 0.5.11-0.175.2.0.0.38.0
       pkg://solaris/consolidation/desktop/desktop-incorporation@ 0.5.11-0.175.2.13.0.3.0
       pkg://solaris/consolidation/desktop/gnome-incorporation@ 0.5.11-0.175.2.13.0.3.0
       pkg://solaris/consolidation/gfx/gfx-incorporation@ 0.5.11-0.175.1.0.0.5.0
       pkg://solaris/consolidation/ips/ips-incorporation@ 0.5.11-0.175.2.13.0.5.0
       pkg://solaris/consolidation/java-7/java-7-incorporation@ 1.7.0.85.15-0
       pkg://solaris/consolidation/java-8/java-8-incorporation@ 1.8.0.51.16-0
       pkg://solaris/consolidation/jdmk/jdmk-incorporation@ 0.5.11-0.175.2.0.0.22.0
       pkg://solaris/consolidation/l10n/l10n-incorporation@ 0.5.11-0.175.2.12.0.3.2
       pkg://solaris/consolidation/ldoms/ldoms-incorporation@ 0.5.11-0.175.2.11.0.3.0
       pkg://solaris/consolidation/man/man-incorporation@ 0.5.11-0.175.2.0.0.40.0
       pkg://solaris/consolidation/nspg/nspg-incorporation@ 0.5.11-0.175.1.0.0.5.0
       pkg://solaris/consolidation/osnet/osnet-incorporation@ 0.5.11-0.175.2.13.0.5.2
       pkg://solaris/consolidation/sfw/sfw-incorporation@ 0.5.11-0.175.1.0.0.5.0
       pkg://solaris/consolidation/sic_team/sic_team-incorporation@ 0.5.11-0.175.2.0.0.39.0
       pkg://solaris/consolidation/smcc/smcc-incorporation@ 0.5.11-0.175.1.0.0.5.0
       pkg://solaris/consolidation/solaris_re/solaris_re-incorporation@ 0.5.11-0.175.2.12.0.3.0
       pkg://solaris/consolidation/ssm/ssm-incorporation@ 2.3.2.5-0.175.2.13.0.3.0
       pkg://solaris/consolidation/sunpro/sunpro-incorporation@ 0.5.11-0.175.2.13.0.2.0
       pkg://solaris/consolidation/ub_javavm-6/ub_javavm-6-incorporation@ 1.6.0.101-0
       pkg://solaris/consolidation/userland/userland-incorporation@ 0.5.11-0.175.2.13.0.6.0
       pkg://solaris/entire@ 0.5.11-0.175.2.13.0.6.0

    Plan Creation: dependency error(s) in proposed packages:

         Reject: pkg://ha-cluster/ha-cluster/group-package/ha-cluster-incorporation@ 4.0.0-0.22.1
         Reason: No version matching 'incorporate' dependency system/core-os@ 0.5.11,5.11-0.175.0 can be installed
         ----------------------------------------
         Reject: pkg://solaris/system/core-os@ 0.5.11-0.175.0.0.0.2.1
                             to
                       pkg://solaris/system/core-os@ 0.5.11-0.175.0.12.0.4.1
         Reason: This version is excluded by installed incorporation consolidation/osnet/osnet-incorporation@ 0.5.11-0.175.2.13.0.5.2
         ----------------------------------------

    This information is also available in:
    Solaris Cluster 4.2 SRU5.1 Specific Information for Update and Install (Doc ID 2045639.1)

    Wednesday Jun 17, 2009

    Ready for Sun Cluster 3.2 1/09 Update2?

    Now it's time to install/upgrade to Sun Cluster 3.2 1/09 Update2. The major bugs of Sun Cluster 3.2 1/09 Update2 are fixed in
    126106-33 or higher Sun Cluster 3.2: CORE patch for Solaris 10
    126107-33 or higher Sun Cluster 3.2: CORE patch for Solaris 10_x86
    126105-33 or higher Sun Cluster 3.2: CORE patch for Solaris 9

    This means the core patch should be applied immediately after the installation of Sun Cluster 1/09 Update2 software. The installation approach in short words:

  • Install Sun Cluster 3.2 1/09 Update2 with java enterprise installer

  • Install the necessary Sun Cluster 3.2 core patch as mentioned above

  • Configure Sun Cluster 3.2 with scinstall

  • Further details available in Sun Cluster Software Installation Guide for Solaris OS.
    Also Installation services delivered by Oracle Advanced Customer Services are available.

    About

    I'm still mostly blogging around Solaris Cluster and support. Independently if for Sun Microsystems or Oracle. :-)

    Search

    Archives
    « August 2015
    SunMonTueWedThuFriSat
          
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
         
    Today